count_loop_edges {DiagrammeR} | R Documentation

## Get count of all loop edges

### Description

From a graph object of class `dgr_graph`, get a count of all loop edges in the graph.

### Usage

    count_loop_edges(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a numeric vector of single length.

### Examples

    # Create an undirected, full graph
    # with 3 nodes and all possible
    # edges, including loop edges
    graph <-
      create_graph(
        directed = FALSE) %>%
      add_full_graph(
        n = 3,
        keep_loops = TRUE)

    # Get a count of all loop edges
    # in the graph
    graph %>%
      count_loop_edges()

[Package DiagrammeR version 1.0.1 Index]